# Method: accounts.update

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/update#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/update#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts/update#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts/update#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts/update#body.aspect)

> [!WARNING]
> Deprecated. Please use the [Account Management API](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/patch) instead.

Updates the specified business account. Personal accounts cannot be updated using this method.

> [!NOTE]
> **Note:** The only editable field for an account is `accountName`. Any other fields passed in (such as `type` or `role`) are ignored.

<br />

### HTTP request

`PUT https://mybusiness.googleapis.com/v4/{name=accounts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the account to update. |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` If true, the request is validated without actually updating the account. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts#Account`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts#Account`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).